package cn.gtmap.estateplat.config.core.mapper.config;

import cn.gtmap.estateplat.model.server.core.BdcQllxDjsyRel;
import cn.gtmap.estateplat.model.server.core.BdcSqlxDjsyRel;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;

/**
 * @version 1.0, 2017/7/6.
 * @auto <a href="mailto:zhouwanqing@gtmap.cn">zhouwanqing</a>
 * @description
 */
@Component
public interface BdcRelMapper {
    List<BdcQllxDjsyRel> getBdcQllxDjsyRelListByMap(HashMap hashMap);

    void saveBdcQllxDjsyRel(@Param("id") String id, @Param("qllx") String qllx, @Param("djsy") String djsy);

    void updateBdcQllxDjsyRel(@Param("qllx") String qllx, @Param("djsy") String djsy);

    void delBdcQllxDjsyRel(String qllx);

    void saveBdcSqlxYhRel(@Param("id") String id, @Param("sqlx") String sqlx);

    void updateBdcSqlxYhRel(@Param("id") String id, @Param("sqlx") String sqlx);

    void delBdcSqlxYhRel(String id);

    List<HashMap> getBdcSqlxYhRelBySqlx(String sqlx);

    List<BdcSqlxDjsyRel> getBdcSqlxDjsyRelListByMap(HashMap hashMap);
}
